diff a/test/hotspot/jtreg/compiler/c2/irTests/TestVectorizationNotRun.java b/test/hotspot/jtreg/compiler/c2/irTests/TestVectorizationNotRun.java
--- a/test/hotspot/jtreg/compiler/c2/irTests/TestVectorizationNotRun.java
+++ b/test/hotspot/jtreg/compiler/c2/irTests/TestVectorizationNotRun.java
@@ -61,23 +61,18 @@
     static byte[] byteArray = new byte[sizeBytes];
     static long[] longArray = new long[size];
 
     @Test
     @IR(counts = { IRNode.LOAD_VECTOR_L, ">=1", IRNode.STORE_VECTOR, ">=1" },
-        applyIfOr = { "UseCompactObjectHeaders", "false", "AlignVector", "false" },
         applyIfPlatform = {"64-bit", "true"},
         applyIfCPUFeatureOr = {"sse4.1", "true", "asimd", "true", "rvv", "true"})
     public static void test(byte[] dest, long[] src) {
         for (int i = 0; i < src.length; i++) {
             if ((i < 0) || (8 > sizeBytes - i)) {
                 throw new IndexOutOfBoundsException();
             }
             UNSAFE.putLongUnaligned(dest, UNSAFE.ARRAY_BYTE_BASE_OFFSET + i * 8, src[i]);
-            // For UseCompactObjectHeaders and AlignVector, we must 8-byte align all vector loads/stores.
-            // But the long-stores to the byte-array are never aligned:
-            // adr = base + UNSAFE.ARRAY_BYTE_BASE_OFFSET + 8*iter
-            //              = 16 (or 12 if UseCompactObjectHeaders=true)
         }
     }
 
     @Run(test = "test")
     public static void test_runner() {
